> For the complete documentation index, see [llms.txt](https://developer.paywall.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.paywall.one/geri-bildirim-ornekleri/fraud-gozden-gecirme.md).

# Fraud Gözden Geçirme

<table><thead><tr><th>Anahtar</th><th>Açıklama</th></tr></thead><tbody><tr><td><pre><code>Type
</code></pre></td><td>Bildirim tipi<br>Bkz: <a href="/pages/zEIvla8ZN22dNrlNQODr">İncele</a></td></tr><tr><td><pre><code>PaymentId
</code></pre></td><td>Ödemenin kimlik bilgisi</td></tr><tr><td><pre><code>IsReverted
</code></pre></td><td>Ödeme iptal/iade edildi mi? <code>true</code> ise ödeme iptal/iade edilmiş, <code>false</code> ise edilmemiş anlamına gelmektedir</td></tr><tr><td><pre><code>UniqueCode
</code></pre></td><td>Ödeme 'ye Paywall tarafından atanan takip numarası</td></tr><tr><td><pre><code>MerchantUniqueCode
</code></pre></td><td>Ödeme oluşturma anında üye işyeri tarafından verilen takip numarası</td></tr><tr><td><pre><code>ActionDateTime
</code></pre></td><td>Fraud gözden geçirme işleminin yapıldı tarih/saat bilgisi</td></tr><tr><td><pre><code>FraudDecision
</code></pre></td><td>Fraud gözden geçirme kararı<br><br><mark style="color:$warning;">1 - Onaylandı/Yanlış Tespit İşaretlendi</mark><br><mark style="color:$danger;">2 - Reddedildi ve İptal/İade Edildi</mark></td></tr><tr><td><pre><code>ReviewerUserId
</code></pre></td><td>Fraud incelemesini yapan kullanıcı kimlik bilgisi</td></tr><tr><td><pre><code>ReviewerUserEmail
</code></pre></td><td>Fraud incelemesini yapan kullanıcı e-posta bilgisi</td></tr><tr><td><pre><code>Note
</code></pre></td><td>Fraud incelemesi esnasında verilen not<br><br>Maks: 255 karakter</td></tr><tr><td><pre><code>Hash
</code></pre></td><td>İsteğin Paywall'dan geldiğinin doğrulanması için kullanılan Hash değeridir. Paywall panelinden oluşturulan <code>Fraud Gözden Geçirme Webhook Hash Anahtarı</code> kullanılarak oluşturulmaktadır<br><br>Yukarda belirtilen anahtar <code>HashKeyType</code> parametresinin değerine göre değişkenlik gösterebilir. Dinamik yapı kurgulanmalıdır</td></tr><tr><td><p></p><pre><code>HashFormat
</code></pre></td><td>Hash bilgisinin oluşturulduğu format tipi<br><br>Bkz: <a href="/pages/CwGK9IsyjWbnxDaBvQOq">Hash Formatları</a></td></tr><tr><td><p></p><pre><code>HashKeyType
</code></pre></td><td>Hash bilgisinin oluşturulmasında kullanılan anahtar tipi<br><br>Bkz: <a href="/pages/rGeM863mExwJKspEaXUG">Anahtar Tipleri</a></td></tr></tbody></table>

{% tabs %}
{% tab title="Class" %}

```csharp
public class FraudCallbackModel
{
    public int Type { get; set; }
    public int PaymentId { get; set; }
    public bool IsReverted { get; set; }
    public string UniqueCode { get; set; }
    public string MerchantUniqueCode { get; set; }
    public DateTime ActionDateTime { get; set; }
    // 1 : Approved 2 : Declined
    public int FraudDecision { get; set; }
    public int ReviewerUserId { get; set; }
    public string ReviewerUserEmail { get; set; }
    public string Note { get; set; }
    // $"{hashKey}###{paymentId}###{uniqueCode}###{fraudDecision}";
    public string Hash { get; set; }
    public string HashFormat { get; set; }
    public short? HashKeyType { get; set; }
}
```

{% endtab %}

{% tab title="Json" %}

```json
{
    "Type": 17,
    "PaymentId": 2087766806277,
    "IsReverted": true,
    "UniqueCode": "8102be66-f012-413e-8eaa-0733a01be9b5",
    "MerchantUniqueCode": "551a4abf-9241-4d05-8414-734dd06291c8",
    "ActionDateTime": "2026-02-09T04:20:44.6033648+03:00",
    "FraudDecision": 2,
    "ReviewerUserId": 1265,
    "ReviewerUserEmail": "useremail@gmail.com",
    "Note": "test olan bir işlemdir reddedilmiştir",
    "Hash": "80a225b4bc1996f09ae97792425b3f99603a85c7ae5b62b6d4cb4a5694eaa231",
    "HashFormat": "FraudReview",
    "HashKeyType": 8
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.paywall.one/geri-bildirim-ornekleri/fraud-gozden-gecirme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
